import java.awt.Font;

/**
 * Balkendiagramm für int-Array, Zahlen werden aus CSV-Datei gelesen.
 * 
 * @author Schaller 
 * @version 29.11.18
 */
public class Balkendiagramm extends Picture

{
    // Liste mit allen Werten 
    // Deklariere ein Array zahlen für die Punkte und ein Array namen für die Spielernamen
    //------------
    // TODO
    //------------

    // Schriften
    Font kleineSchrift;  
    Font grosseSchrift;

    public Balkendiagramm() {
        size(1000, 700);
        background(0);
        kleineSchrift = new Font( Font.SANS_SERIF, Font.PLAIN, 12 );
        grosseSchrift = new Font( Font.SANS_SERIF, Font.PLAIN, 20 );

        // CSV-Datei laden und anzeigen
        ladeTabelle("punkte.csv");

        zeichneBalken();
    }

    public void ladeTabelle(String name) {
        // Tabelle aus CSV-Datei laden
        Table csv =  new Table(name,"header",',','"');

        // Initialisiere Arrays, in die alle Zeilen der Tabelle passen
        // Die Anzahl der gespeicherten Zeilen bekommt man mit csv.getRowCount()
        //------------
        // TODO
        //------------

        // Fülle die Arrays mit Werten aus der Tabelle
        // Mit csv.getInt(zeilennummer, "Name der Spalte") oder csv.getInt(zeilennummer, spaltennummer)
        // bekommt man die Werte der Tabelleneinträge als Integer-Wert
        // Informiere dich unter https://processing.org/reference/Table.html, welche Methode geeignet ist,
        // um die Namen der Spieler als String zu bekommen. getInt hilft hier nicht weiter.
        //------------
        // TODO
        //------------  
    }

    public void zeichneBalken() {
        clear();

        // Überschrift
        fill(255,255,255);
        textFont(grosseSchrift);
        text("Punkte", 2, 20);
        textFont(kleineSchrift);  

        // Alle Einträge darstellen
        // lasse alle Ergebnisse der Spieler in der Form
        // SpielerXY  234 XXXXXXXXXXXXXXXX
        // SpielerZY  12  XX
        // usw.
        // darstellen. Wandle dazu dein Programm, um die Werte eines Arrays darzustelle ab.
        //------------
        // TODO
        //------------
    }

}
